<!DOCTYPE HTML>
<html>
<head>
    <title>YourWebHelper - Processing</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
    <link rel="stylesheet" href="static/css/main.css" />
    <noscript><link rel="stylesheet" href="static/css/noscript.css" /></noscript>
</head>
<body class="is-preload">
    <div id="wrapper" class="fade-in">
        <div id="intro">
            <h1><span class="image fit"><img src="static/images/logo.png" alt="YourWebHelper" /></span></h1>
            <div id="progress" class="spinner-grow text-dark" style="width: 8rem; height: 8rem;" role="status"></div>
        </div>
    </div>

    <!-- Scripts -->
    <script src="static/js/jquery.min.js"></script>
    <script src="static/js/jquery.scrollex.min.js"></script>
    <script src="static/js/jquery.scrolly.min.js"></script>
    <script src="static/js/browser.min.js"></script>
    <script src="static/js/breakpoints.min.js"></script>
    <script src="static/js/util.js"></script>
    <script src="static/js/main.js"></script>
    <script>
        function updateProgress(percentage) {
            document.getElementById('progress').innerText = `Indexing Progress: ${percentage.toFixed(2)}%`;
        }

        // Llama a la función para cerrar la ventana
        closeProcessingWindow();

        // Agrega una solicitud AJAX para obtener actualizaciones del progreso
        setInterval(function() {
            fetch('/get_progress')
                .then(response => response.json())
                .then(data => {
                    updateProgress(data.percentage);
                })
                .catch(error => {
                    console.error('Error al obtener el progreso:', error);
                });
        }, 1000);  // Actualiza cada segundo
    </script>
</body>
</html>